Subject: Amber w/Insects for research (sale or trade??)

From: [email-masked] (Joyce Simmerman)
Date: Fri, 27 Sep 1996 23:54:29 GMT

For sale (trade??) at Oceanside, CA.  (619-966-2602) --  This is a
strand of approx. 1" ovular type beads.  The insect parts or whole
insects are easily visible.  One looks like a cockroach, another like
a small version of a prehistoric cave drawing of a horse!! The strand
is about 35-40" long so the necklace is about 17-20".   The colors
range from light caramel brown to a medium saddle brown.  This should
prove very valuable for scientific research or just  real classy and
very rare jewelry.  It looks great with a large variety of clothes
when I wear them.

A smaller strand is an incomplete necklace approximately 16" long
total and has greenish or yellowish shade beads in it as well as some
of the tan-browns.  It seems to have even more of the parts in it.

Will consider offers over $700 or equivalent trade for ??? (We need a
vehicle -- midsize or larger, or pickup, or minivan or van??)

email:  [email-masked]